This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 58002 - PS/PDF Viewer fails to print a PDF when path contains spaces
PS/PDF Viewer fails to print a PDF when path contains spaces
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kdegraphics (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-04 17:22 EST by A. Miklas
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-14 09:18:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description A. Miklas 2002-01-04 17:22:47 EST
Description of Problem:
The kde PDF viewer (part of kghostscript) fails to print a PDF if the PDF has a 
space in its absolute path.

Version-Release number of selected component (if applicable):
kdegraphics-2.2-1

How Reproducible:
Always

Steps to Reproduce:
1. Put any PDF file in a directory that contains a space in its name.
2. Open the PDF using the PS/PDF viewer (ie. the default in KDE)
3. Attempt to print

Actual Results:
A print error occured.  Error message received from the system:

/usr/bin/lpr -P 'lp' '-#1' 
/home/andrew/.kde/tmp-amiklas/kghostviewdC8nEb.ps: execution failed with 
message:

lp: nothing to print.

Expected Results:
PDF should print -- just as it does when the path does not contain a space.

Additional Information:
Comment 1 Petr Rockai 2005-02-14 09:18:25 EST
Fixed in FC3 (and possibly older fedora releases).

Note You need to log in before you can comment on or make changes to this bug.